Stylistic changes to currency (#99)

This commit is contained in:
Reto Kromer 2017-07-27 14:27:06 +02:00 committed by Alex Epstein
parent fc85d432bd
commit 642bfba164
1 changed files with 71 additions and 73 deletions

View File

@ -19,7 +19,6 @@ getConfiguredClient()
echo "Error: This tool reqires either curl, wget, or fetch to be installed." echo "Error: This tool reqires either curl, wget, or fetch to be installed."
return 1 return 1
fi fi
} }
## Allows to call the users configured client without if statements everywhere ## Allows to call the users configured client without if statements everywhere
@ -60,6 +59,7 @@ getBase()
getBase getBase
fi fi
} }
## Checks base currency from the user and validates it with all the possible currency ## Checks base currency from the user and validates it with all the possible currency
## types available on the API (requires argument) ## types available on the API (requires argument)
checkBase() checkBase()
@ -137,13 +137,15 @@ convertCurrency()
{ {
exchangeRate=$(httpGet "http://api.fixer.io/latest?base=$base&symbols=$exchangeTo" | grep -Eo "[0-9]*[.][0-9]*") > /dev/null exchangeRate=$(httpGet "http://api.fixer.io/latest?base=$base&symbols=$exchangeTo" | grep -Eo "[0-9]*[.][0-9]*") > /dev/null
exchangeAmount=$(echo "$exchangeRate * $amount" | bc) exchangeAmount=$(echo "$exchangeRate * $amount" | bc)
echo cat <<EOF
echo "========================="
echo "| $base to $exchangeTo" =========================
echo "| Rate: $exchangeRate" | $base to $exchangeTo
echo "| $base: $amount" | Rate: $exchangeRate
echo "| $exchangeTo: $exchangeAmount" | $base: $amount
echo "=========================" | $exchangeTo: $exchangeAmount
=========================
EOF
} }
update() update()
@ -167,7 +169,7 @@ update()
echo "Version $latestVersion available" echo "Version $latestVersion available"
echo -n "Do you wish to update $repositoryName [Y/n]: " echo -n "Do you wish to update $repositoryName [Y/n]: "
read -r answer read -r answer
if [[ "$answer" == "Y" || "$answer" == "y" ]] ;then if [[ "$answer" == [Yy] ]]; then
cd ~ || { echo 'Update Failed'; exit 1; } cd ~ || { echo 'Update Failed'; exit 1; }
if [[ -d ~/$repositoryName ]]; then rm -r -f $repositoryName || { echo "Permissions Error: try running the update as sudo"; exit 1; } ; fi if [[ -d ~/$repositoryName ]]; then rm -r -f $repositoryName || { echo "Permissions Error: try running the update as sudo"; exit 1; } ; fi
git clone "https://github.com/$githubUserName/$repositoryName" || { echo "Couldn't download latest version"; exit 1; } git clone "https://github.com/$githubUserName/$repositoryName" || { echo "Couldn't download latest version"; exit 1; }
@ -184,58 +186,54 @@ update()
echo "$repositoryName is already the latest version" echo "$repositoryName is already the latest version"
fi fi
fi fi
} }
usage() usage()
{ {
echo "Currency" cat <<EOF
echo "Description: A realtime currency converter." Currency
echo " With no flags it will guide you through the currency exchange" Description: A realtime currency converter.
echo "Usage: currency or currency [flag] or currency [base] [exchangeTo] [amount]" With no flags it will guide you through the currency exchange
echo " -u Update Bash-Snippet Tools" Usage: currency or currency [flag] or currency [base] [exchangeTo] [amount]
echo " -h Show the help" -u Update Bash-Snippet Tools
echo " -v Get the tool version" -h Show the help
echo "Supported Currencies:" -v Get the tool version
echo " _______________________" Supported Currencies:
echo "| AUD | BGN | BRL | CAD |" _______________________
echo "| CHF | CNY | CZK | DKK |" | AUD | BGN | BRL | CAD |
echo "| EUR | GBP | HKD | HRK |" | CHF | CNY | CZK | DKK |
echo "| HUF | IDR | ILS | INR |" | EUR | GBP | HKD | HRK |
echo "| JPY | KRW | MXN | MYR |" | HUF | IDR | ILS | INR |
echo "| NOK | NZD | PHP | PLN |" | JPY | KRW | MXN | MYR |
echo "| RON | RUB | SEK | SGD |" | NOK | NZD | PHP | PLN |
echo "| THB | TRY | USD | ZAR |" | RON | RUB | SEK | SGD |
echo " _______________________" | THB | TRY | USD | ZAR |
echo "Examples:" _______________________
echo " currency EUR USD 12.35" Examples:
echo " currency" currency EUR USD 12.35
currency
EOF
} }
getConfiguredClient || exit 1 getConfiguredClient || exit 1
checkInternet || exit 1 # check if we have a valid internet connection if this isnt true the rest of the script will not work so stop here checkInternet || exit 1 # check if we have a valid internet connection if this isnt true the rest of the script will not work so stop here
while getopts "uvh" opt; do while getopts "uvh" opt; do
case $opt in case "$opt" in
\?) \?) echo "Invalid option: -$OPTARG" >&2
echo "Invalid option: -$OPTARG" >&2
exit 1 exit 1
;; ;;
h) h) usage
usage
exit 0 exit 0
;; ;;
v) v) echo "Version $currentVersion"
echo "Version $currentVersion"
exit 0 exit 0
;; ;;
u) u) update
update
exit 0 exit 0
;; ;;
:) :) echo "Option -$OPTARG requires an argument." >&2
echo "Option -$OPTARG requires an argument." >&2
exit 1 exit 1
;; ;;
esac esac